-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/47790/
-----------------------------------------------------------

Review request for Ambari, Alejandro Fernandez and Jonathan Hurley.


Bugs: AMBARI-16854
    https://issues.apache.org/jira/browse/AMBARI-16854


Repository: ambari


Description
-------

STR:
1. Install 2.3.0.0
2. Register and Install 2.5.0.0 (with or without package-version; it gets 
computed correctly)
3. Register 2.4 as the stack version (without package-version)

Installation of 2.4 will fail because the way agents invoke installation is to 
install by name.  If the package-version is not known, then the 'newest' is 
ALWAYS installed.  In this case, that would be 2.5.0.0.  2.4 is never picked up 
as the correct repository.


Diffs
-----

  
ambari-server/src/main/java/org/apache/ambari/server/controller/internal/ClusterStackVersionResourceProvider.java
 9dc5c4d 
  
ambari-server/src/test/java/org/apache/ambari/server/controller/internal/ClusterStackVersionResourceProviderTest.java
 3c9a91d 

Diff: https://reviews.apache.org/r/47790/diff/


Testing
-------

Manual.  Automated Pending.


Thanks,

Nate Cole

Reply via email to